%define _unpackaged_files_terminate_build 0

%define mver 7.2
%define compatv 72

%define phpvar /var/lib/php%{?compatv}

Summary: Common files for PHP%{?compatv}
Summary(ko): PHP %{mver}에서 공통적으로 필요한 파일
Name: php%{?compatv}-common
Version: %{mver}.2
Release: 1%{?dist}
Epoch: 2
License: PHP
Group: System Environment/AnNyung
BuildArchitectures: noarch
Source0: php.conf
Source1: php.ini
Source2: php-cli.ini
Source3: php-shared.ini
Source100: disable_functions.php
Obsoletes: php%{?compatv}api < %{mver}

%description
The php%{?compatv}-common package contains files used by both the php%{?compatv}
package and the php%{?compatv}-cli package.

%prep
%setup -cTn %{name}-%{version}

%install
[ -d %{buildroot} ] && rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf.d/
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{apache,cli}
%{!?compatv:%{__mkdir_p} %{buildroot}%{_datadir}/php/pear}

%{__mkdir_p} %{buildroot}%{phpvar}/{sessions,tmp,bin}

install -m644 %{SOURCE0} %{buildroot}%{_sysconfdir}/httpd/conf.d/php%{?compatv}.conf
install -m444 %{SOURCE1} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/
install -m444 %{SOURCE2} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/
#install -m444 %{SOURCE3} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/php-cgi-fcgi.ini
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/apache/SHARED.ini
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/cli/SHARED.ini

%{!?compatv:install -m644 %{SOURCE100} %{buildroot}%{_datadir}/php/pear/disable_functions.php}

cd %{buildroot}%{_sysconfdir}/php%{?compatv}.d/
for item in php.ini php-cli.ini apache/SHARED.ini cli/SHARED.ini
do
	[ -f "$item" ] && perl -pi -e 's/\@COMPAT\@/%{?compatv}/g' $item
done
cd -

cd %{buildroot}%{_sysconfdir}/httpd/conf.d
[ -f php%{?compatv}.conf ] && perl -pi -e 's/\@COMPAT\@/%{?compatv}/g' php%{?compatv}.conf
cd -

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /etc/php%{?compatv}.d
%dir /etc/php%{?compatv}.d/apache
%dir /etc/php%{?compatv}.d/cli
%config(noreplace) /etc/httpd/conf.d/php%{?compatv}.conf
%config(noreplace) /etc/php%{?compatv}.d/php.ini
%config(noreplace) /etc/php%{?compatv}.d/php-cli.ini
#config(noreplace) /etc/php%{?compatv}.d/php-cgi-fcgi.ini
%config(noreplace) /etc/php%{?compatv}.d/apache/*.ini
%config(noreplace) /etc/php%{?compatv}.d/cli/*.ini
%{!?compatv:%{_datadir}/php/pear/disable_functions.php}
%attr(755,nobody,nobody) %dir %{phpvar}/sessions
%attr(1777,root,root) %dir %{phpvar}/tmp
%attr(755,root,root) %dir %{phpvar}/bin

%changelog
* Fri Feb  9 2018 JoungKyun.Kim <hostmaster@oops.org> 2:7.2.2-1%{?dist}
- 1st packaged

